Description

Description

Create a simple plugin for Visual Studio that could read the SVN repository from the project/solution and load issues/tasks from that
SVN (project) from Remine database into a simple screen and that could provide a way to show only active and all issues/tasks.

Background

It's of common knowledge that one of the top features from Team Server is the ability to get everything together inside Visual Studio.
This behavior is so important that we already have countless plugins for all popular IDE (Visual Studio, Eclipse, NetBeans, etc).

But we still lack a plugin for Visual Studio.

A lot is said here and there but there is no available plugin that could integrate Redmine with Visual Studio.

Detailed info

The feature request is to provide a minimal plugin.

Since Redmine already integrates with SVN it shouldn't be too hard to get the repository for the code (project/solution) and based on
that, filter active bugs, tasks, features and all.

All in a straight plain simple screen that would simply list the tasks for the project (and maybe for related projects).

This window could be a page from the redmine project's website (hosted along with other pages like the wiki ones). By receiving the
URL/URI/... from the repository this page would than filter pending tasks, issues and all.

This page should provide a way for the user to preview the project's activity.

Advantages

This would be a major feature for Redmine roadmap.

It would take a good amount of code and effort, that's for sure, but on the other hand this could lead Redmine as a top issue-tracker,
project management and knowledge management system for teams that use Visual Studio but cannot (or will not) pay for Team
Server.

The plugin would also open a whole new branch of opportunities as a more refined plugin could come after the initial release,
enabling the user to set tasks progress and control commits from within Visual Studio.

Also it could lead into a more robust API for Redmine since both the core project and the plugin could exchange knowledge and
improve themselves in a much more effective way.

History

#1 - 2012-03-12 23:53 - Terence Mill
Use AnkSvn for SVN VisualsStudio Integration. For Task Connector there already is a Standard Supported Mylyn . Visual Studdio just has to support
this like all other useful IDE's.

Why reivent the wheel, just use the standards. Till Ms supports it you must develop an own VistSTudio Plugin which can talk to mylyn interface -
http://sourceforge.net/apps/wordpress/redmin-mylyncon/

#2 - 2012-03-13 08:55 - Etienne Massip
- Category changed from Core Plugins to Plugin Request

#3 - 2013-06-15 15:43 - Dmitry Popov
Check out Redmine Task List for Visual Studio

#4 - 2013-06-15 18:29 - Terence Mill

Dmitry Popov wrote:
http://ankhsvn.open.collab.net/
http://www.redmine.org/projects/redmine/wiki/HowTo_Mylyn
http://sourceforge.net/apps/wordpress/redmin-mylyncon/
https://redminetasklist.codeplex.com/

Check out Redmine Task List for Visual Studio

Please go Further and integrate This into anksvn , See http://ankhsvn.open.collab.net/wiki/lssueTrackerlntegration

#5 - 2013-06-15 19:16 - Dmitry Popov

Terence, I'm sorry, | don't use either svn or AnkhSVN.

#6 - 2013-10-23 23:37 - Thomas Boll

| am also very interested in having such a plugin. Also | am not using svn or AnkhSVN.

2025-05-05 22


https://redminetasklist.codeplex.com/
http://ankhsvn.open.collab.net/wiki/IssueTrackerIntegration
